# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray1OfReal Class Reference

`#include <PColStd_HArray1OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | PColStd_HArray1OfReal (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColStd_HArray1OfReal (const Standard_Integer Low, const Standard_Integer Up, const Standard_Real &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Real &Value)
Standard_Integer | Upper () const
Standard_EXPORT Standard_Real | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray1OfReal ()
| PColStd_HArray1OfReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfRealLowerBound () const
void | _CSFDB_SetPColStd_HArray1OfRealLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfRealUpperBound () const
void | _CSFDB_SetPColStd_HArray1OfRealUpperBound (const Standard_Integer p)
const PColStd_FieldOfHArray1OfReal & | _CSFDB_GetPColStd_HArray1OfRealData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColStd_FieldOfHArray1OfReal | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColStd_FieldOfHArray1OfReal | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray1OfReal::PColStd_HArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColStd_HArray1OfReal::PColStd_HArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Real & | V
| ) |

PColStd_HArray1OfReal::PColStd_HArray1OfReal | ( |  | ) | `[inline]`

PColStd_HArray1OfReal::PColStd_HArray1OfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray1OfReal& PColStd_HArray1OfReal::_CSFDB_GetPColStd_HArray1OfRealData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfReal::_CSFDB_GetPColStd_HArray1OfRealLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfReal::_CSFDB_GetPColStd_HArray1OfRealUpperBound | ( |  | ) | const`[inline]`

void PColStd_HArray1OfReal::_CSFDB_SetPColStd_HArray1OfRealLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray1OfReal::_CSFDB_SetPColStd_HArray1OfRealUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColStd_HArray1OfReal::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray1OfReal PColStd_HArray1OfReal::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray1OfReal::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray1OfReal::Length | ( |  | ) | const

Standard_Integer PColStd_HArray1OfReal::Lower | ( |  | ) | const

Standard_EXPORT void PColStd_HArray1OfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Real & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray1OfReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray1OfReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray1OfReal::Upper | ( |  | ) | const

Standard_EXPORT Standard_Real PColStd_HArray1OfReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColStd_FieldOfHArray1OfReal PColStd_HArray1OfReal::Data `[private]`

Standard_Integer PColStd_HArray1OfReal::LowerBound `[private]`

Standard_Integer PColStd_HArray1OfReal::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray1OfReal.hxx